#include 		"def21160.h" 
.extern		start;
.extern		irq0_isr;


//__________________interrupt vector table ADSP-21160______________________




.section/pm     seg_rth;

                                      
// Reserved interrupts:
				NOP;		// emulator interrupt
				NOP;
				NOP;
				NOP;

// RSTI   reset vector:				
___lib_RSTI:    NOP;				
				JUMP start;	// start address 0x40005                 
				NOP;
				NOP;
					
// IICDI  illegal input cond. detected:
___lib_IICDI:	NOP;
				NOP;
				RTI;
				RTI;

// Vector for status stack/loop stack overflow or PC stack full:        
___lib_SOVFI:   NOP;
				NOP;
				RTI;
				RTI;

// Vector for high priority timer interrupt:                            
___lib_TMZHI:   NOP;
				NOP;
				RTI;
				RTI;

// Vectors for external interrupts:                                     
___lib_VIRPTI:  NOP;
				NOP;
				RTI;
				RTI;

___lib_IRQ2I:   NOP;
				NOP;
				RTI;
				RTI;

___lib_IRQ1I:   NOP;
				NOP;
				RTI;
				RTI;

___lib_IRQ0I:   JUMP irq0_isr(CI);
				NOP;
				RTI;
				RTI;
// Reserved interrupts   
				NOP;		
				NOP;
				NOP;
				NOP;		

// Vectors for Serial port DMA channels: 
___lib_SPR0I:  	NOP;
				NOP;
				RTI;
				RTI;

___lib_SPR1I:   NOP;
				NOP;
				RTI;
				RTI;

___lib_SPT0I:   NOP;
				NOP;
				RTI;
				RTI;

___lib_SPT1I:   NOP;
				NOP;
				RTI;
				RTI;

// Vector for link port DMA channels:                                  
___lib_LP0I : 	NOP;
				NOP;
				RTI;
				RTI;

___lib_LP1I : 	NOP;
				NOP;
				RTI;
				RTI;

___lib_LP2I:    NOP;
				NOP;
				RTI;
				RTI;

___lib_LP3I:    NOP;
				NOP;
				RTI;
				RTI;

___lib_LP4I:    NOP;
				NOP;
                RTI;
                RTI;

___lib_LP5I:    NOP;
				NOP;
                RTI;
                RTI;

// Vectors for External port DMA channels:                              
___lib_EP0I:    NOP;
				NOP;
				RTI;
				RTI;
	
___lib_EP1I:    NOP;
				NOP;
				RTI;
				RTI;

___lib_EP2I:    NOP;
				NOP;
				RTI;
				RTI;

___lib_EP3I:    NOP;
				NOP;
				RTI;
				RTI;

// LSRQI  link port serive request:
___lib_LSRQI:   NOP;
				NOP;
				RTI;
				RTI;

// CB7I	  circular buffer 7 overflow:
___lib_CB7I:    NOP;
				NOP;
				RTI;
				RTI;

// CB15I  circular buffer 15 overflow:
___lib_CB15I:   NOP;
				NOP;
				RTI;
				RTI;

// Vector for low priority timer interrupt:                            
___lib_TMZLI:   NOP;
				NOP;
				RTI;
				RTI;

// FIXI	  fixed point overflow: 
___lib_FIXI:	NOP;
				NOP;
				RTI;
				RTI;

// FLTOI  floating point overflow:
___lib_FLTOI:	NOP;
				NOP;
				RTI;
				RTI;

// FLTUI  floating point underflow:
___lib_FLTUI:	NOP;
				NOP;
				RTI;
				RTI;

// FLTII  floating point invalid:
___lib_FLTII:	NOP;
				NOP;
				RTI;
				RTI;

// SFT0I  user software interrupt:
___lib_SFT0I:	NOP;
				NOP;
				RTI;
				RTI;

// SFT1I  user software interrupt:
___lib_SFT1I:	NOP;
				NOP;
				RTI;
				RTI;

// SFT2I  user software interrupt:
___lib_SFT2I:	NOP;
				NOP;
				RTI;
				RTI;

// SFT3I  user software interrupt:
___lib_SFT3I:	NOP;
				NOP;
				RTI;
				RTI;

//  reserved lowest priority:
		   		NOP;
				NOP;
				RTI;
				RTI;
